[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Libguestfs] Trying to package Oz for Ubuntu



* Steve Loranz:

> Here's the output of libguestfs-test-tool:
>
> ===== Test starts here =====
> TMPDIR=(not set)
> library version: 1.18.5
> [...]
> Launching appliance, timeout set to 600 seconds.
> libguestfs: error: cannot find any suitable libguestfs supermin, fixed
> or old-style appliance on LIBGUESTFS_PATH (search path:
> /usr/lib/x86_64-linux-gnu/guestfs)
> libguestfs-test-tool: failed to launch appliance
> libguestfs: closing guestfs handle 0x1543160 (state 0)

The simple answer is that

(1) I screwed up paths in 1.18.5-2. Sorry about that, the problem got
    fixed within half a week back in July.

(2) Someone put that version into some Ubuntu repository, without
    bothering to do any testing, whatsoever.

You're not the first to experience this problem. As usual, a Launchpad
bug has been filed, but not much seems to have happened.

Please use libguestfs 1:1.18.1-1+deb7u1 which is going to be released
with wheezy (the upcoming stable Debian release) or whatever is current
in sid (unstable).

Cheers,
-Hilko


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]